## org.apache.batik.dom.svg
Class SVGOMAnimatedPathData

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAnimatedPathData

All Implemented Interfaces:
  LiveAttributeValue, SVGAnimatedPathData

public class SVGOMAnimatedPathData
extends java.lang.Object
implements SVGAnimatedPathData, LiveAttributeValue

This class is the implementation of the SVGAnimatedPathData interface.

Nested Class Summary
`class` `SVGOMAnimatedPathData.SVGOMPathSegList` SVGPointList implementation for the static 'points' attribute of the element.

Field Summary
`protected boolean` `changing` Whether the list is changing.
`protected java.lang.String` `defaultValue` Default value for the 'd' attribute.
`protected AbstractElement` `element` The associated element.
`protected java.lang.String` `localName` The attribute's local name.
`protected java.lang.String` `namespaceURI` The attribute's namespace URI.
`protected AbstractSVGPathSegList` `pathSegs` SVGPathSegList mapping the static 'd' attribute.

Constructor Summary
`SVGOMAnimatedPathData(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String defaultValue)`

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`SVGPathSegList` `getAnimatedNormalizedPathSegList()`
`SVGPathSegList` `getAnimatedPathSegList()`
`SVGPathSegList` `getNormalizedPathSegList()`
`SVGPathSegList` `getPathSegList()` return the SVGPathSegList mapping the static 'd' attribute of the element

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### element

    protected AbstractElement element

  The associated element.

### namespaceURI

    protected java.lang.String namespaceURI

  The attribute's namespace URI.

### localName

    protected java.lang.String localName

  The attribute's local name.

### changing

    protected boolean changing

  Whether the list is changing.

### pathSegs

    protected AbstractSVGPathSegList pathSegs

  SVGPathSegList mapping the static 'd' attribute.

### defaultValue

    protected java.lang.String defaultValue

  Default value for the 'd' attribute.

Constructor Detail

### SVGOMAnimatedPathData

    public SVGOMAnimatedPathData(AbstractElement elt,
                                 java.lang.String ns,
                                 java.lang.String ln,
                                 java.lang.String defaultValue)

Method Detail

### getAnimatedNormalizedPathSegList

    public SVGPathSegList getAnimatedNormalizedPathSegList()

  Specified by:
    `getAnimatedNormalizedPathSegList` in interface `SVGAnimatedPathData`

### getAnimatedPathSegList

    public SVGPathSegList getAnimatedPathSegList()

  Specified by:
    `getAnimatedPathSegList` in interface `SVGAnimatedPathData`

### getNormalizedPathSegList

    public SVGPathSegList getNormalizedPathSegList()

  Specified by:
    `getNormalizedPathSegList` in interface `SVGAnimatedPathData`

### getPathSegList

    public SVGPathSegList getPathSegList()

  return the SVGPathSegList mapping the static 'd' attribute of the element

  Specified by:
    `getPathSegList` in interface `SVGAnimatedPathData`
  Returns:
    a path seg list.

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.